package com.jiuqi.syntax;

import java.util.ArrayList;

/* loaded from: com_jiuqi_syntax.jar:com/jiuqi/syntax/Niporlan.class */
public final class Niporlan implements Cloneable {
    public static int NP_NEW_COUNT = 0;
    public static int NP_LIVE_COUNT = 0;
    public ArrayList ifItems;
    public ArrayList thenItems;
    public ArrayList elseItems;

    public Niporlan() {
        NP_NEW_COUNT++;
        NP_LIVE_COUNT++;
        this.thenItems = new ArrayList(5);
    }

    protected void finalize() throws Throwable {
        NP_LIVE_COUNT--;
        super.finalize();
    }

    public ArrayList getIfItems() {
        return this.ifItems;
    }

    public ArrayList getThenItems() {
        return this.thenItems;
    }

    public ArrayList getElseItems() {
        return this.elseItems;
    }

    public boolean isEmpty() {
        if ((this.ifItems == null || this.ifItems.isEmpty()) && this.thenItems.isEmpty()) {
            return this.elseItems == null || this.elseItems.isEmpty();
        }
        return false;
    }

    public boolean isBalance() {
        if (elseExist()) {
            NiporlanItem item = (NiporlanItem) this.thenItems.get(this.thenItems.size() - 1);
            if (item.getType() == 0 && item.getOp() == 7) {
                NiporlanItem item2 = (NiporlanItem) this.elseItems.get(this.elseItems.size() - 1);
                return item2.getType() == 0 && item2.getOp() == 7;
            }
            return false;
        }
        if (this.thenItems.size() > 0) {
            NiporlanItem item3 = (NiporlanItem) this.thenItems.get(this.thenItems.size() - 1);
            return item3.getType() == 0 && item3.getOp() == 7;
        }
        return false;
    }

    public Niporlan transBalanceToMinus() {
        Niporlan minusNiporlan = (Niporlan) clone();
        if (minusNiporlan.elseExist()) {
            NiporlanItem item = (NiporlanItem) minusNiporlan.thenItems.get(minusNiporlan.thenItems.size() - 1);
            if (item.getType() == 0 && item.getOp() == 7) {
                item.setOp(2);
                NiporlanItem item2 = (NiporlanItem) minusNiporlan.elseItems.get(minusNiporlan.elseItems.size() - 1);
                if (item2.getType() == 0 && item2.getOp() == 7) {
                    item2.setOp(2);
                }
            }
        } else {
            NiporlanItem item3 = (NiporlanItem) minusNiporlan.thenItems.get(this.thenItems.size() - 1);
            if (item3.getType() == 0 && item3.getOp() == 7) {
                item3.setOp(2);
            }
        }
        return minusNiporlan;
    }

    public boolean isOneCell() {
        if (ifExist() || this.thenItems.size() != 1) {
            return false;
        }
        NiporlanItem item = (NiporlanItem) this.thenItems.get(0);
        return item.getType() == 3;
    }

    public DataCell getFirstCell() {
        for (int i = 0; this.ifItems != null && i < this.ifItems.size(); i++) {
            NiporlanItem item = (NiporlanItem) this.ifItems.get(i);
            if (item.getType() == 3) {
                return item.getDataCell();
            }
        }
        for (int i2 = 0; i2 < this.thenItems.size(); i2++) {
            NiporlanItem item2 = (NiporlanItem) this.thenItems.get(i2);
            if (item2.getType() == 3) {
                return item2.getDataCell();
            }
        }
        for (int i3 = 0; this.elseItems != null && i3 < this.elseItems.size(); i3++) {
            NiporlanItem item3 = (NiporlanItem) this.elseItems.get(i3);
            if (item3.getType() == 3) {
                return item3.getDataCell();
            }
        }
        return null;
    }

    public boolean ifExist() {
        return this.ifItems != null && this.ifItems.size() > 0;
    }

    public boolean elseExist() {
        return this.elseItems != null && this.elseItems.size() > 0;
    }

    public void clear() {
        if (this.ifItems != null) {
            this.ifItems.clear();
        }
        this.thenItems.clear();
        if (this.elseItems != null) {
            this.elseItems.clear();
        }
    }

    public String toString() {
        return "";
    }

    public void addIfItem(NiporlanItem ni) {
        if (this.ifItems == null) {
            this.ifItems = new ArrayList(3);
        }
        this.ifItems.add(ni);
    }

    public void addIfItem(int op) {
        if (this.ifItems == null) {
            this.ifItems = new ArrayList(3);
        }
        this.ifItems.add(new NiporlanItem(op));
    }

    public void addIfItem(String funcName) {
        if (this.ifItems == null) {
            this.ifItems = new ArrayList(3);
        }
        this.ifItems.add(new NiporlanItem(funcName));
    }

    public void addIfItem(CommonData commonData) {
        if (this.ifItems == null) {
            this.ifItems = new ArrayList(3);
        }
        this.ifItems.add(new NiporlanItem(commonData));
    }

    public void addIfItem(DataCell dataCell) {
        if (this.ifItems == null) {
            this.ifItems = new ArrayList(3);
        }
        this.ifItems.add(new NiporlanItem(dataCell));
    }

    public void addIfItem(Object object) {
        if (this.ifItems == null) {
            this.ifItems = new ArrayList(3);
        }
        this.ifItems.add(new NiporlanItem(object));
    }

    public void addThenItem(NiporlanItem ni) {
        this.thenItems.add(ni);
    }

    public void addThenItem(int op) {
        this.thenItems.add(new NiporlanItem(op));
    }

    public void addThenItem(String funcName) {
        this.thenItems.add(new NiporlanItem(funcName));
    }

    public void addThenItem(CommonData commonData) {
        this.thenItems.add(new NiporlanItem(commonData));
    }

    public void addThenItem(DataCell dataCell) {
        this.thenItems.add(new NiporlanItem(dataCell));
    }

    public void addThenItem(Object object) {
        this.thenItems.add(new NiporlanItem(object));
    }

    public void addElseitem(NiporlanItem ni) {
        if (this.elseItems == null) {
            this.elseItems = new ArrayList(5);
        }
        this.elseItems.add(ni);
    }

    public void addElseItem(int op) {
        if (this.elseItems == null) {
            this.elseItems = new ArrayList(5);
        }
        this.elseItems.add(new NiporlanItem(op));
    }

    public void addElseItem(String funcName) {
        if (this.elseItems == null) {
            this.elseItems = new ArrayList(5);
        }
        this.elseItems.add(new NiporlanItem(funcName));
    }

    public void addElseItem(CommonData commonData) {
        if (this.elseItems == null) {
            this.elseItems = new ArrayList(5);
        }
        this.elseItems.add(new NiporlanItem(commonData));
    }

    public void addElseItem(DataCell dataCell) {
        if (this.elseItems == null) {
            this.elseItems = new ArrayList(5);
        }
        this.elseItems.add(new NiporlanItem(dataCell));
    }

    public void addElseItem(Object object) {
        if (this.elseItems == null) {
            this.elseItems = new ArrayList(5);
        }
        this.elseItems.add(new NiporlanItem(object));
    }

    public Object clone() {
        Niporlan newNiporlan = new Niporlan();
        for (int i = 0; this.ifItems != null && i < this.ifItems.size(); i++) {
            NiporlanItem item = new NiporlanItem();
            item.assign((NiporlanItem) this.ifItems.get(i));
            newNiporlan.getIfItems().add(item);
        }
        for (int i2 = 0; i2 < this.thenItems.size(); i2++) {
            NiporlanItem item2 = new NiporlanItem();
            item2.assign((NiporlanItem) this.thenItems.get(i2));
            newNiporlan.getThenItems().add(item2);
        }
        for (int i3 = 0; this.elseItems != null && i3 < this.elseItems.size(); i3++) {
            NiporlanItem item3 = new NiporlanItem();
            item3.assign((NiporlanItem) this.elseItems.get(i3));
            newNiporlan.getElseItems().add(item3);
        }
        return newNiporlan;
    }
}
